
Dashboard - Bug #39121

mgr/dashboard: Cancel button leads to the previous page in browser history

04/05/2019 08:25 AM - Ernesto Puerta

Status: New % Done: 0%

Priority: Normal   

Assignee:    

Category: UX   

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  
Reviewed:    

Description

After back button refactoring, the behaviour of the Back/Cancel button has changed:

- Previously it was based on the Router hierarchy (e.g.: #/pool/create's back led always to #/pool)

- Now it uses location.back() method, which relies on the browser history (e.g: #/pool/create is accessed via URL, after clicking

Cancel the browser will show the browser home page, not #/pool or any other dashboard page).

No matter this is acceptable behaviour or not, it means a change in the way the user browses the dashboard.

An alternative to this could be to use existing information provided to the Routing module.

History

#1 - 03/31/2020 10:46 AM - Lenz Grimmer

- Tags set to usability, low-hanging-fruit

- Target version deleted (v14.2.0)

#2 - 04/15/2021 04:53 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 152 to UX

#3 - 05/05/2022 09:23 AM - Seremba Patrick

Hi @Ernesto, just for the sake of clarity, do you want the back button to get back to its behavior before refactoring? Or did I get the issue wrong?

Secondly, do you have any hints or pointers on how one can tackle this issue? Thanks a lot.

#4 - 05/12/2022 01:01 PM - Seremba Patrick

PR: https://github.com/ceph/ceph/pull/46243
